<?php
/*
+===========================================+
|      ArabPortal V2.1.x Copyright © 2006   |
|   -------------------------------------   |
|            By Rafia AL-Otibi              |
|                    And                    |
|              Arab Portal Team             |
|   -------------------------------------   |
|      Web: http://www.ArabPortal.Net       |
|   -------------------------------------   |
|  Last Updated: 01/01/2007 Time: 00:00 AM  |
+===========================================+
*/


if (RUN_MODULE !== true)
{
    die ("<center><h3>عفوا هذه العملية غير مشروعة</h3></center>");
}

include("modules/media/config.php");

$itemid = $apt->setid('itemid');

if($apt->get['mode'] == 'rate'){
    $apt->head("تقييم المشاركة");

$index_middle = $apt->table_cat_module("<a href=mod.php?mod=$mod_name>&nbsp;$mod_title</a>");

eval("\$media_middle = \" " . $apt->getmodtemplate ( 'rate_post', $modid,$mod_theme ) . "\";");
eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'media_main', $modid,$mod_theme ) . "\";");
echo $index_middle;
exit;
}elseif($apt->get['mode'] == 'rating'){
$rate = $apt->is_No('rate','post');
$apt->query("Update rafia_media_items set item_crate=item_crate+$rate, item_rate=item_rate+1 where item_id='$itemid'");
$apt->bodymsg("تم تقييم المشاركة بنجاح ... سوف ترجع الان الى صفحة العرض","javascript:fermer();");
exit;	

}elseif($apt->get['mode'] == 'email'){
    $apt->head("إرسال المشاركة لصديق");

$index_middle = $apt->table_cat_module("<a href=mod.php?mod=$mod_name>&nbsp;$mod_title</a>");

eval("\$media_middle = \" " . $apt->getmodtemplate ( 'send_post', $modid,$mod_theme ) . "\";");
eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'media_main', $modid,$mod_theme ) . "\";");
echo $index_middle;
exit;

}elseif($apt->get['mode'] == 'send'){

    if (!$apt->full($apt->post['fname']))
       {
           $apt->errmsg("اسمك الكريم غير موجود");
       }
    if (!$apt->full($apt->post['msg']))
       {
           $apt->errmsg("رسالتك غير كامله");
       }

    if (!$apt->check_email($apt->post['tmail']))
       {
           $apt->errmsg("بريد صديقك غير صحيح او غير موجود");
       }

    if (!$apt->check_email($apt->post['fmail']))
       {
           $apt->errmsg("بريدك الالكتروني غير صحيح او غير موجود");
       }

       $mail = new email;
       $mail->send($tmail,"رسالة من صديقك",$msg,$fname,$fmail,0);
       	$update = $apt->query("Update rafia_media_items set item_send=item_send+1 where item_id='$itemid'");
		$apt->bodymsg("تم ارسال الرسالة بنجاح ... سوف ترجع الان الى صفحة العرض","javascript:fermer();");
		exit;

}elseif($apt->get['mode'] == 'download'){
$result = $apt->query("SELECT * FROM rafia_media_items where  item_id='$itemid'");
if($apt->dbnumrows($result)== 0){$apt->errmsg("عفوا ... الملف الذي تبحث عنه غير موجود او تم حذفه");}
@extract($apt->dbarray($result));
	if(eregi("http://",$item_link)){
			$update = $apt->query("Update rafia_media_items set item_down=item_down+1 where item_id='$itemid'");
		$redirect="Location:$item_link";
            header($redirect);
		exit;
	}else{
		$file_name = @basename($item_link);
		$filesize = @filesize($item_link);
		header("Content-Type: application/x-ms-download");
		header("Content-disposition: attachment; filename=$file_name");
		header("Content-Length: $filesize");
		header("Pragma: no-cache");
		header("Expires: 0");
            $open = @fopen($item_link,r);
            $data = @fread($open,@filesize($item_link));
            @fclose($open);
            print($data);

			$update = $apt->query("Update rafia_media_items set item_down=item_down+1 where item_id='$itemid'");
		exit;
	}
}else{
$url = "mod.php?mod=media";
$apt->bodymsg("عفوا .. يبدو انك اخطأت بالعنوان<br>انتظر قليلا ليتم نقلك الى الصفحة الرئيسية",$url);
}
?>